Skip to contentSkip to navigationSkip to topbar
Page toolsOn this pageProducts used
Looking for more inspiration?Visit the

11100: Invalid URL format


ERROR: 11100

error-11100 page anchor
MESSAGING
ERROR

This error occurs when you configure or submit a URL that isn't in a valid absolute format. Use a fully qualified http:// or https:// URL that Twilio can reach over the public Internet for phone number webhooks, outbound call instructions, and TwiML callback URLs.

Possible causes

possible-causes page anchor
  • You configured an invalid webhook URL for a phone number.
  • You passed an invalid URL in an outbound call request.
  • You used an invalid URL in a <Play> or <Redirect> verb body.
  • You provided an invalid URL for a verb action attribute.
  • You didn't provide a URL for the <Record> verb action attribute when modifying a live call.
  • You included unsupported characters in the authentication portion of the URL.
  • Submit a fully qualified URL that includes the protocol, hostname, path, and properly URL-encoded query parameters.
  • Make sure the endpoint is publicly reachable. Webhook requests can't be sent to a private or local URL directly.
  • If you are creating an outbound call, provide a valid absolute Url or send Twiml directly instead of having Twilio fetch instructions from a URL.
  • Review any sms_url, voice_url, or verb action value you configured and remove malformed URL components or unsupported authentication characters.
  • When you test locally, expose your application through a public tunnel and use the generated public HTTPS URL.

Additional resources

additional-resources page anchor